%define fw_version 5.24

Summary:	KDE Frameworks 5 module with various classes for compression and decompression
Name:		karchive
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	bzip2-devel
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(zlib)

%description
KDE Frameworks 5 module with various classes for compression and decompression.

KArchive provides classes for easy reading, creation and manipulation of
"archive" formats like ZIP and TAR.

It also provides transparent compression and decompression of data, like the
GZip format, via a subclass of QIODevice.

#----------------------------------------------------------------------------

%define kf5archive_major 5
%define libkf5archive %mklibname kf5archive %{kf5archive_major}

%package -n %{libkf5archive}
Summary:	KDE Frameworks 5 KArchive shared library
Group:		System/Libraries

%description -n %{libkf5archive}
KDE Frameworks 5 KArchive shared library.

%files -n %{libkf5archive}
%{_kde5_libdir}/libKF5Archive.so.%{kf5archive_major}*

#----------------------------------------------------------------------------

%define devkf5archive %mklibname kf5archive -d

%package -n %{devkf5archive}
Summary:	Development files for KDE Frameworks 5 KArchive
Group:		Development/KDE and Qt
Requires:	%{libkf5archive} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5archive-devel = %{version}

%description -n %{devkf5archive}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5archive}
%{_kde5_includedir}/KF5/KArchive
%{_kde5_includedir}/KF5/karchive_version.h
%{_kde5_libdir}/cmake/KF5Archive
%{_kde5_libdir}/libKF5Archive.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (8880cfe) New version 5.24.0


